Debian Bug report logs - #122608
Missing .rdf files in /var/lib/mozilla/chrome on ARM

version graph

Package: mozilla-browser; Maintainer for mozilla-browser is (unknown);

Reported by: Adam C Powell IV <hazelsct@mit.edu>

Date: Wed, 5 Dec 2001 21:36:49 UTC

Severity: important

Found in version 2:0.9.6-5

Done: Adam C Powell IV <hazelsct@mit.edu>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Takuo KITAME <kitame@northeye.org>:
Bug#122608; Package mozilla-browser. Full text and rfc822 format available.

Acknowledgement sent to Adam C Powell IV <hazelsct@mit.edu>:
New Bug report received and forwarded. Copy sent to Takuo KITAME <kitame@northeye.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Adam C Powell IV <hazelsct@mit.edu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mozilla-browser: repeatable regxpcom segfault on ARM
Date: Wed, 05 Dec 2001 16:35:53 -0500
Package: mozilla-browser
Version: 2:0.9.6-5
Severity: important

Greetings,

regxpcom is segfaulting every time I try to run it on ARM, so 
mozilla-browser does not conifigure.  Unlike bug #121321, I do not have 
MOZILLA_FIVE_HOME set, so that is not the problem.  Unlike #118121 and 
#120560, there is no output from regxpcom, no missing symbols, it starts 
to run and then segfaults.  Unlike #119894, I have never installed 
openoffice, nor other local non-Debian libs.  I think it was in that bug 
that you asked for ld.so.conf:

# more /etc/ld.so.conf
/usr/X11R6/lib

# gdb /usr/lib/mozilla/regxpcom
[snip]
(gdb) run
[snip]
(gdb) backtrace
#0  0x401e5f6c in sigsuspend () from /lib/libc.so.6
#1  0x40193310 in __pthread_wait_for_restart_signal ()
  from /lib/libpthread.so.0
#2  0x40192840 in pthread_create@@GLIBC_2.1 () from /lib/libpthread.so.0
#3  0x40175d28 in PR_SetSysfdTableSize () from /usr/lib/libnspr4.so

This prevents mozilla-dev from installing, so it's holding up all of the 
packages which depend on it (galeon, nautilus-mozilla, etc.).  If I can 
provide any more debugging information, please let me know.

Thanks,
-- 

-Adam P.

GPG fingerprint: D54D 1AEE B11C CE9B A02B  C5DD 526F 01E8 564E E4B6

Welcome to the best software in the world today cafe!
<http://lyre.mit.edu/%7Epowell/The_Best_Stuff_In_The_World_Today_Cafe.ogg>

-- System Information
Debian Release: 3.0
Kernel Version: Linux p4-117-1 2.4.5 #1 Mon Jul 30 08:06:22 BST 2001 
armv4l unknown

Versions of the packages mozilla-browser depends on:
ii  libc6          2.2.4-6        GNU C Library: Shared libraries and 
Timezone
ii  libglib1.2     1.2.10-3       The GLib library of C routines
ii  libgtk1.2      1.2.10-5       The GIMP Toolkit set of widgets for X
ii  libjpeg62      6b-4           The Independent JPEG Group's JPEG 
runtime li
ii  libnspr4       0.9.6-5        Netscape Portable Runtime Library
ii  libpng2        1.0.12-2       PNG library - runtime
ii  libstdc++2.10- 2.95.4-0.01100 The GNU stdc++ library
ii  xlibs          4.1.0-9        X Window System client libraries
ii  zlib1g         1.1.3-18       compression library - runtime





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#122608; Package mozilla-browser. Full text and rfc822 format available.

Acknowledgement sent to Takuo KITAME <kitame@northeye.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 122608@bugs.debian.org (full text, mbox):

From: Takuo KITAME <kitame@northeye.org>
To: Adam C Powell IV <hazelsct@mit.edu>
Cc: 122608@bugs.debian.org
Subject: Re: Bug#122608: mozilla-browser: repeatable regxpcom segfault on ARM
Date: 30 Dec 2001 01:43:10 +0900
> regxpcom is segfaulting every time I try to run it on ARM, so 
> mozilla-browser does not conifigure.  Unlike bug #121321, I do not have 
> MOZILLA_FIVE_HOME set, so that is not the problem.  Unlike #118121 and 
> #120560, there is no output from regxpcom, no missing symbols, it starts 
> to run and then segfaults.  Unlike #119894, I have never installed 
> openoffice, nor other local non-Debian libs.  I think it was in that bug 
> that you asked for ld.so.conf:

does it still happen on 0.9.7?

Thanks.
-- 
Takuo KITAME.




Information forwarded to debian-bugs-dist@lists.debian.org, Takuo KITAME <kitame@northeye.org>:
Bug#122608; Package mozilla-browser. Full text and rfc822 format available.

Acknowledgement sent to Adam C Powell IV <hazelsct@mit.edu>:
Extra info received and forwarded to list. Copy sent to Takuo KITAME <kitame@northeye.org>. Full text and rfc822 format available.

Message #15 received at 122608@bugs.debian.org (full text, mbox):

From: Adam C Powell IV <hazelsct@mit.edu>
To: Takuo KITAME <kitame@northeye.org>
Cc: 122608@bugs.debian.org
Subject: Re: Bug#122608: mozilla-browser: repeatable regxpcom segfault on ARM
Date: Mon, 31 Dec 2001 17:33:20 -0500
Takuo KITAME wrote:

>>regxpcom is segfaulting every time I try to run it on ARM, so 
>>mozilla-browser does not conifigure.  Unlike bug #121321, I do not have 
>>MOZILLA_FIVE_HOME set, so that is not the problem.  Unlike #118121 and 
>>#120560, there is no output from regxpcom, no missing symbols, it starts 
>>to run and then segfaults.  Unlike #119894, I have never installed 
>>openoffice, nor other local non-Debian libs.  I think it was in that bug 
>>that you asked for ld.so.conf:
>>
>does it still happen on 0.9.7?
>
Yup, with 0.9.7-1 it still happens.

Zeen,
-- 

-Adam P.

GPG fingerprint: D54D 1AEE B11C CE9B A02B  C5DD 526F 01E8 564E E4B6

Welcome to the best software in the world today cafe! 
<http://lyre.mit.edu/%7Epowell/The_Best_Stuff_In_The_World_Today_Cafe.ogg>






Information forwarded to debian-bugs-dist@lists.debian.org, Takuo KITAME <kitame@northeye.org>, mozilla@packages.qa.debian.org:
Bug#122608; Package mozilla-browser. Full text and rfc822 format available.

Acknowledgement sent to Thomas Koester <tkoester@intevation.de>:
Extra info received and forwarded to list. Copy sent to Takuo KITAME <kitame@northeye.org>, mozilla@packages.qa.debian.org. Full text and rfc822 format available.

Message #20 received at 122608@bugs.debian.org (full text, mbox):

From: Thomas Koester <tkoester@intevation.de>
To: 122608@bugs.debian.org
Subject: Bug#122608: mozilla-browser: repeatable regxpcom segfault on ARM
Date: Wed, 20 Mar 2002 13:06:36 +0100
Installing 'mozilla-psm' together with 'mozilla-browser' fixed this
problem on one of our x86 machines, but I can't reproduce it with a
really clean installation.

Try to purge all your mozilla packages, then remove
/usr/lib/mozilla, maybe the segfaults vanish then.

Thomas

-- 
Email: tkoester@intevation.de
http://intevation.de/~tkoester/



Information forwarded to debian-bugs-dist@lists.debian.org, Takuo KITAME <kitame@northeye.org>, mozilla@packages.qa.debian.org:
Bug#122608; Package mozilla-browser. Full text and rfc822 format available.

Acknowledgement sent to kitame@northeye.org (Takuo KITAME):
Extra info received and forwarded to list. Copy sent to Takuo KITAME <kitame@northeye.org>, mozilla@packages.qa.debian.org. Full text and rfc822 format available.

Message #25 received at 122608@bugs.debian.org (full text, mbox):

From: kitame@northeye.org (Takuo KITAME)
To: Adam C Powell IV <hazelsct@mit.edu>, 122608@bugs.debian.org
Subject: Re: Bug#122608: mozilla-browser: repeatable regxpcom segfault on ARM
Date: Tue, 16 Apr 2002 10:23:34 +0900
>>>>> In article <3C0E9339.4080709@mit.edu>,
>>>>> "ACPI" == Adam C Powell IV <hazelsct@mit.edu> wrote...:
ACPI> Package: mozilla-browser
ACPI> Version: 2:0.9.6-5
ACPI> Severity: important

ACPI> Greetings,

ACPI> regxpcom is segfaulting every time I try to run it on ARM, so 
ACPI> mozilla-browser does not conifigure.  Unlike bug #121321, I do not have 
ACPI> MOZILLA_FIVE_HOME set, so that is not the problem.  Unlike #118121 and 
ACPI> #120560, there is no output from regxpcom, no missing symbols, it starts 
ACPI> to run and then segfaults.  Unlike #119894, I have never installed 
ACPI> openoffice, nor other local non-Debian libs.  I think it was in that bug 
ACPI> that you asked for ld.so.conf:


Is it fixed in 0.9.9? or not?



Information forwarded to debian-bugs-dist@lists.debian.org, Takuo KITAME <kitame@northeye.org>, mozilla@packages.qa.debian.org:
Bug#122608; Package mozilla-browser. Full text and rfc822 format available.

Acknowledgement sent to Adam C Powell IV <hazelsct@mit.edu>:
Extra info received and forwarded to list. Copy sent to Takuo KITAME <kitame@northeye.org>, mozilla@packages.qa.debian.org. Full text and rfc822 format available.

Message #30 received at 122608@bugs.debian.org (full text, mbox):

From: Adam C Powell IV <hazelsct@mit.edu>
To: Takuo KITAME <kitame@northeye.org>
Cc: 122608@bugs.debian.org
Subject: Re: Bug#122608: mozilla-browser: repeatable regxpcom segfault on ARM
Date: Tue, 16 Apr 2002 10:02:06 -0400
Takuo KITAME wrote:

>>>>>>In article <3C0E9339.4080709@mit.edu>,
>>>>>>"ACPI" == Adam C Powell IV <hazelsct@mit.edu> wrote...:
>>>>>>
>ACPI> Package: mozilla-browser
>ACPI> Version: 2:0.9.6-5
>ACPI> Severity: important
>
>ACPI> Greetings,
>
>ACPI> regxpcom is segfaulting every time I try to run it on ARM, so 
>ACPI> mozilla-browser does not conifigure.  Unlike bug #121321, I do not have 
>ACPI> MOZILLA_FIVE_HOME set, so that is not the problem.  Unlike #118121 and 
>ACPI> #120560, there is no output from regxpcom, no missing symbols, it starts 
>ACPI> to run and then segfaults.  Unlike #119894, I have never installed 
>ACPI> openoffice, nor other local non-Debian libs.  I think it was in that bug 
>ACPI> that you asked for ld.so.conf:
>
>
>Is it fixed in 0.9.9? or not?
>
I'm sorry, I should have checked this.  I've just apt-get installed 
mozilla-browser (0.9.9-5), and it seems to have succeeded:

Setting up mozilla-browser (0.9.9-5) ...
Updating mozilla chrome registry...mv: cannot stat 
`/usr/lib/mozilla/chrome/*.rdf': No such file or directory
done.

Hmm, this is strange:

# ls /usr/lib/mozilla/chrome/    
*.rdf        content-packs.jar  en-win.jar         overlayinfo
US.jar        embed-sample.jar   forms.jar         toolkit.jar
chromelist.txt    en-US.jar       help.jar
classic.jar    en-mac.jar       installed-chrome.txt
comm.jar    en-unix.jar       modern.jar
# file /usr/lib/mozilla/chrome/\*.rdf
/usr/lib/mozilla/chrome/*.rdf: broken symbolic link to 
/var/lib/mozilla/chrome/*.rdf
# ls /var/lib/mozilla/chrome
installed-chrome.txt  overlayinfo

It looks like some .rdf files are supposed to be generated in 
/var/lib/mozilla/chrome, and a script symlinks them to 
/usr/lib/mozilla/chrome, but if they don't exist, there's a problem.

Nonetheless, this is a different problem from the earlier segfault, so I 
think this bug may be closed.

By the way, I really like your packaging.  I think it's probably fair to 
say that Debian Woody has the best Mozilla binary packaging thanks to 
your work.

Regards,
-- 

-Adam P.

GPG fingerprint: D54D 1AEE B11C CE9B A02B  C5DD 526F 01E8 564E E4B6

Welcome to the best software in the world today cafe! 
<http://lyre.mit.edu/%7Epowell/The_Best_Stuff_In_The_World_Today_Cafe.ogg>






Information forwarded to debian-bugs-dist@lists.debian.org, Takuo KITAME <kitame@northeye.org>, mozilla@packages.qa.debian.org:
Bug#122608; Package mozilla-browser. Full text and rfc822 format available.

Acknowledgement sent to Adam C Powell IV <hazelsct@mit.edu>:
Extra info received and forwarded to list. Copy sent to Takuo KITAME <kitame@northeye.org>, mozilla@packages.qa.debian.org. Full text and rfc822 format available.

Message #35 received at 122608@bugs.debian.org (full text, mbox):

From: Adam C Powell IV <hazelsct@mit.edu>
To: 122608@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#122608: mozilla-browser: repeatable regxpcom segfault on ARM
Date: Mon, 13 May 2002 08:18:09 -0400
retitle 122608 Missing .rdf files in /var/lib/mozilla/chrome on ARM
severity 122608 normal
thanks

Adam C Powell IV wrote:

> It looks like some .rdf files are supposed to be generated in 
> /var/lib/mozilla/chrome, and a script symlinks them to 
> /usr/lib/mozilla/chrome, but if they don't exist, there's a problem.
>
> Nonetheless, this is a different problem from the earlier segfault, so 
> I think this bug may be closed. 

Perhaps it shouldn't be closed, but at least reduced to normal, since 
this doesn't prevent mozilla-browser from being configured on ARM any more.

Thanks,
-- 

-Adam P.

GPG fingerprint: D54D 1AEE B11C CE9B A02B  C5DD 526F 01E8 564E E4B6

Welcome to the best software in the world today cafe! 
<http://lyre.mit.edu/%7Epowell/The_Best_Stuff_In_The_World_Today_Cafe.ogg>






Changed Bug title. Request was from Adam C Powell IV <hazelsct@mit.edu> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `normal'. Request was from Adam C Powell IV <hazelsct@mit.edu> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Takuo KITAME <kitame@northeye.org>, mozilla@packages.qa.debian.org:
Bug#122608; Package mozilla-browser. Full text and rfc822 format available.

Acknowledgement sent to kitame@northeye.org (Takuo KITAME):
Extra info received and forwarded to list. Copy sent to Takuo KITAME <kitame@northeye.org>, mozilla@packages.qa.debian.org. Full text and rfc822 format available.

Message #44 received at 122608@bugs.debian.org (full text, mbox):

From: kitame@northeye.org (Takuo KITAME)
To: Adam C Powell IV <hazelsct@mit.edu>, 122608@bugs.debian.org
Subject: Re: Bug#122608: mozilla-browser: repeatable regxpcom segfault on ARM
Date: Mon, 13 May 2002 22:43:41 +0900
severity 122608 important
stop

>>>>> In article <3CDFAF01.7060703@mit.edu>,
>>>>> "ACPI" == Adam C Powell IV <hazelsct@mit.edu> wrote...:
ACPI> retitle 122608 Missing .rdf files in /var/lib/mozilla/chrome on ARM

because regxpcom doesn't work correctly. (SegV)






Severity set to `important'. Request was from Takuo KITAME <kitame@northeye.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Takuo KITAME <kitame@northeye.org>, mozilla@packages.qa.debian.org:
Bug#122608; Package mozilla-browser. Full text and rfc822 format available.

Acknowledgement sent to Adam C Powell IV <hazelsct@mit.edu>:
Extra info received and forwarded to list. Copy sent to Takuo KITAME <kitame@northeye.org>, mozilla@packages.qa.debian.org. Full text and rfc822 format available.

Message #51 received at 122608@bugs.debian.org (full text, mbox):

From: Adam C Powell IV <hazelsct@mit.edu>
To: Takuo KITAME <kitame@northeye.org>
Cc: 122608@bugs.debian.org
Subject: Re: Bug#122608: mozilla-browser: repeatable regxpcom segfault on ARM
Date: Mon, 13 May 2002 17:41:37 -0400
Takuo KITAME wrote:

>severity 122608 important
>stop
>
>>>>>>In article <3CDFAF01.7060703@mit.edu>,
>>>>>>"ACPI" == Adam C Powell IV <hazelsct@mit.edu> wrote...:
>>>>>>
>ACPI> retitle 122608 Missing .rdf files in /var/lib/mozilla/chrome on ARM
>
>because regxpcom doesn't work correctly. (SegV)
>
Really?  That's funny, the segfault used to prevent completion of the 
setup step, and leave the package in an inconsistent state, where that's 
no longer the case, so I thought it was not segfaulting.

Well, I'll let you manage the bug as you see fit, but it seems to me 
like normal is the appropriate severity now.

Thanks,
-- 

-Adam P.

GPG fingerprint: D54D 1AEE B11C CE9B A02B  C5DD 526F 01E8 564E E4B6

Welcome to the best software in the world today cafe! 
<http://lyre.mit.edu/%7Epowell/The_Best_Stuff_In_The_World_Today_Cafe.ogg>






Information forwarded to debian-bugs-dist@lists.debian.org, Takuo KITAME <kitame@northeye.org>, mozilla@packages.qa.debian.org:
Bug#122608; Package mozilla-browser. Full text and rfc822 format available.

Acknowledgement sent to kitame@northeye.org (Takuo KITAME):
Extra info received and forwarded to list. Copy sent to Takuo KITAME <kitame@northeye.org>, mozilla@packages.qa.debian.org. Full text and rfc822 format available.

Message #56 received at 122608@bugs.debian.org (full text, mbox):

From: kitame@northeye.org (Takuo KITAME)
To: Adam C Powell IV <hazelsct@mit.edu>, 122608@bugs.debian.org
Subject: Re: Bug#122608: mozilla-browser: repeatable regxpcom segfault on ARM
Date: Tue, 14 May 2002 07:15:53 +0900
>>>>> In article <3CE03311.2010806@mit.edu>,
>>>>> "ACPI" == Adam C Powell IV <hazelsct@mit.edu> wrote...:
ACPI> >because regxpcom doesn't work correctly. (SegV)
ACPI> >
ACPI> Really?  That's funny, the segfault used to prevent completion of the 
ACPI> setup step, and leave the package in an inconsistent state, where that's 
ACPI> no longer the case, so I thought it was not segfaulting.

could you please try just 
 # regxpcom
or 
 # regchrome

chrome/*.rdf is generated by regchrome.

-- 
Takuo KITAME.



Information forwarded to debian-bugs-dist@lists.debian.org, Takuo KITAME <kitame@northeye.org>, mozilla@packages.qa.debian.org:
Bug#122608; Package mozilla-browser. Full text and rfc822 format available.

Acknowledgement sent to Adam C Powell IV <hazelsct@mit.edu>:
Extra info received and forwarded to list. Copy sent to Takuo KITAME <kitame@northeye.org>, mozilla@packages.qa.debian.org. Full text and rfc822 format available.

Message #61 received at 122608@bugs.debian.org (full text, mbox):

From: Adam C Powell IV <hazelsct@mit.edu>
To: Takuo KITAME <kitame@northeye.org>
Cc: 122608@bugs.debian.org
Subject: Re: Bug#122608: mozilla-browser: repeatable regxpcom segfault on ARM
Date: Tue, 14 May 2002 11:03:05 -0400
Takuo KITAME wrote:

>>>>>>In article <3CE03311.2010806@mit.edu>,
>>>>>>"ACPI" == Adam C Powell IV <hazelsct@mit.edu> wrote...:
>>>>>>
>ACPI> >because regxpcom doesn't work correctly. (SegV)
>ACPI> >
>ACPI> Really?  That's funny, the segfault used to prevent completion of the 
>ACPI> setup step, and leave the package in an inconsistent state, where that's 
>ACPI> no longer the case, so I thought it was not segfaulting.
>
>could you please try just 
> # regxpcom
>or 
> # regchrome
>
>chrome/*.rdf is generated by regchrome.
>
Look at that, you're right:

# /usr/lib/mozilla/regxpcom
Segmentation fault
# /usr/lib/mozilla/regchrome
#

So regxpcom still segfaults, but regchrome doesn't.  Let's see what gdb 
has to say:

(gdb) run
Starting program: /usr/lib/mozilla/regxpcom
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...[New Thread 1024 (LWP 28707)]
(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 1024 (LWP 28707)]
Cannot access memory at address 0x1bee80c
(gdb) backtrace
Cannot access memory at address 0x1bee80c
(gdb)

Hmm, not sure how to debug this...  Just FYI:

# dpkg -l gdb
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Installed/Config-files/Unpacked/Failed-config/Half-installed
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: 
uppercase=bad)
||/ Name           Version        Description
+++-==============-==============-============================================
ii  gdb            5.2.cvs2002040 The GNU Debugger

Thanks,
-- 

-Adam P.

GPG fingerprint: D54D 1AEE B11C CE9B A02B  C5DD 526F 01E8 564E E4B6

Welcome to the best software in the world today cafe! 
<http://lyre.mit.edu/%7Epowell/The_Best_Stuff_In_The_World_Today_Cafe.ogg>






Information forwarded to debian-bugs-dist@lists.debian.org, Takuo KITAME <kitame@northeye.org>, mozilla@packages.qa.debian.org:
Bug#122608; Package mozilla-browser. Full text and rfc822 format available.

Acknowledgement sent to kitame@northeye.org (Takuo KITAME):
Extra info received and forwarded to list. Copy sent to Takuo KITAME <kitame@northeye.org>, mozilla@packages.qa.debian.org. Full text and rfc822 format available.

Message #66 received at 122608@bugs.debian.org (full text, mbox):

From: kitame@northeye.org (Takuo KITAME)
To: Adam C Powell IV <hazelsct@mit.edu>
Cc: 122608@bugs.debian.org
Subject: Re: Bug#122608: mozilla-browser: repeatable regxpcom segfault on ARM
Date: Wed, 15 May 2002 12:32:57 +0900
>>>>> In article <3CE12729.7040705@mit.edu>,
>>>>> "ACPI" == Adam C Powell IV <hazelsct@mit.edu> wrote...:

ACPI> # /usr/lib/mozilla/regxpcom
ACPI> Segmentation fault
ACPI> # /usr/lib/mozilla/regchrome
ACPI> #

ACPI> So regxpcom still segfaults, but regchrome doesn't.  Let's see what gdb 
ACPI> has to say:

ACPI> (gdb) run
ACPI> Starting program: /usr/lib/mozilla/regxpcom
ACPI> (no debugging symbols found)...(no debugging symbols found)...
ACPI> (no debugging symbols found)...(no debugging symbols found)...
ACPI> (no debugging symbols found)...[New Thread 1024 (LWP 28707)]
ACPI> (no debugging symbols found)...
ACPI> (no debugging symbols found)...(no debugging symbols found)...
ACPI> (no debugging symbols found)...(no debugging symbols found)...
ACPI> (no debugging symbols found)...(no debugging symbols found)...
ACPI> Program received signal SIGSEGV, Segmentation fault.
ACPI> [Switching to Thread 1024 (LWP 28707)]
ACPI> Cannot access memory at address 0x1bee80c
ACPI> (gdb) backtrace
ACPI> Cannot access memory at address 0x1bee80c
ACPI> (gdb)

ACPI> Hmm, not sure how to debug this...  Just FYI:

because regxpcom has no debugging symbol, cannot debug it.
I'm not ARM hacker, I don't have ARM machine and I cannot debug it...
Could you please report to upstream it if possible.

Thanks.
-- 
Takuo Kitame.



Reply sent to Adam C Powell IV <hazelsct@mit.edu>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Adam C Powell IV <hazelsct@mit.edu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #71 received at 122608-done@bugs.debian.org (full text, mbox):

From: Adam C Powell IV <hazelsct@mit.edu>
To: Takuo KITAME <kitame@northeye.org>
Cc: 122608-done@bugs.debian.org
Subject: Re: Bug#122608: mozilla-browser: repeatable regxpcom segfault on ARM
Date: Tue, 10 Dec 2002 11:49:35 -0500
Takuo KITAME wrote:

>>>>>>In article <3CE12729.7040705@mit.edu>,
>>>>>>"ACPI" == Adam C Powell IV <hazelsct@mit.edu> wrote...:
>>>>>>            
>>>>>>
>
>ACPI> # /usr/lib/mozilla/regxpcom
>ACPI> Segmentation fault
>ACPI> # /usr/lib/mozilla/regchrome
>ACPI> #
>
>ACPI> So regxpcom still segfaults, but regchrome doesn't.
>
Good news!  regxpcom works in 1.2.1-2!  So this bug can now be closed.

Mozilla runs nicely on ARM now, except for one problem: the default menu 
and dialog font doesn't appear.  I'm guessing this is an xserver or 
gtk/pango/freetype etc. problem, since gnome-terminal has the same 
problem; or perhaps I'm just missing a fonts package (though I've 
installed everything which mozilla-browser suggests).

Thanks for all your hard work on the best mozilla packaging anywhere! :-)

Cheers,
-- 

-Adam P.

GPG fingerprint: D54D 1AEE B11C CE9B A02B  C5DD 526F 01E8 564E E4B6

Welcome to the best software in the world today cafe! 
<http://lyre.mit.edu/%7Epowell/The_Best_Stuff_In_The_World_Today_Cafe.ogg>






Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:02:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.